Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 615129 - Review Request: cjkuni-ukai-fonts - Chinese Unicode TrueType font in Kai face
Review Request: cjkuni-ukai-fonts - Chinese Unicode TrueType font in Kai face
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-07-15 22:07 EDT by Peng Wu
Modified: 2010-09-01 01:49 EDT (History)
2 users (show)

See Also:
Fixed In Version: cjkuni-ukai-fonts-0.2.20080216.1-45.fc14
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-09-01 01:49:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Peng Wu 2010-07-15 22:07:07 EDT
Spec URL: http://pwu.fedorapeople.org/cjkuni-ukai-fonts/cjkuni-ukai-fonts.spec
SRPM URL: http://pwu.fedorapeople.org/cjkuni-ukai-fonts/cjkuni-ukai-fonts-0.2.20080216.1-43.fc13.src.rpm
Description: 
CJK Unifonts are Unicode TrueType fonts derived from original fonts made available by Arphic Technology under "Arphic Public License" and extended by the CJK Unifonts project.

CJK Unifonts in Kai face.
Comment 1 Parag AN(पराग) 2010-07-16 01:17:01 EDT
I see current cjkuni-fonts package in fedora also installs -ghostscript. Is there any reason to drop it?
Comment 2 Peng Wu 2010-07-16 02:17:47 EDT
Sorry, open review request for cjkuni-fonts-ghostscript lately.

For -ghostscript sub-package, see:
Bug 615192 - Review Request: cjkuni-fonts-ghostscript -Chinese Unicode TrueType
font ghostscript files
Comment 4 Peng Wu 2010-07-21 00:21:37 EDT
Here are the change log of new spec according to review comments from cjkuni-uming-fonts:
1. "Obsoletes for cjkunifonts-uming" is removed.
2. INSTALL file is removed.
3. Use %_font_pkg -f *.conf *.ttc now.

And new rpm spec for reviewing:
Spec URL: http://pwu.fedorapeople.org/cjkuni-ukai-fonts/cjkuni-ukai-fonts.spec
SRPM URL:
http://pwu.fedorapeople.org/cjkuni-ukai-fonts/cjkuni-ukai-fonts-0.2.20080216.1-45.fc13.src.rpm
Comment 5 Parag AN(पराग) 2010-07-21 05:29:48 EDT
Review:
+ package builds in mock (rawhide i686).
koji Build =>http://koji.fedoraproject.org/koji/taskinfo?taskID=2332714
+ rpmlint output for SRPM and for RPM.
cjkuni-ukai-fonts.src: W: no-cleaning-of-buildroot %install
cjkuni-ukai-fonts.src: W: no-cleaning-of-buildroot %clean
cjkuni-ukai-fonts.src: W: no-buildroot-tag
cjkuni-ukai-fonts.src: W: no-%clean-section
cjkuni-ukai-fonts.noarch: W: obsolete-not-provided cjkuni-fonts-common

+ source files match upstream url (sha1sum)
70f9489e7e15241c13d7eb6496a38736b49024e6  ttf-arphic-ukai_0.2.20080216.1.orig.tar.gz
70f9489e7e15241c13d7eb6496a38736b49024e6  ttf-arphic-ukai_0.2.20080216.1.orig.tar.gz.srpm

+ package meets naming guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ license is open source-compatible.
+ License text is included in package.
+ %doc is present.
+ BuildRequires are proper.
+ %clean is present which is not needed now.
+ package installed properly.
+ Macro use appears rather consistent.
+ no .pc file present.
+ no -devel subpackage
+ no translations are available
+ Does owns the directories it creates.
+ no scriptlets present.
+ no duplicates in %files.
+ file permissions are appropriate.
+ follows fonts packaging guidelines.

APPROVED.
Comment 6 Peng Wu 2010-07-27 02:47:31 EDT
New Package CVS Request
=======================
Package Name:  cjkuni-ukai-fonts
Short Description: Chinese Unicode TrueType font in Kai face
Owners: pwu
Branches: F-13 F-14
InitialCC: petersen i18n-team
Comment 7 Kevin Fenzi 2010-07-30 16:28:27 EDT
CVS done (by process-cvs-requests.py).
Comment 8 Fedora Update System 2010-08-31 00:59:17 EDT
cjkuni-ukai-fonts-0.2.20080216.1-45.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/cjkuni-ukai-fonts-0.2.20080216.1-45.fc14
Comment 9 Fedora Update System 2010-08-31 16:19:38 EDT
cjkuni-ukai-fonts-0.2.20080216.1-45.fc14 has been pushed to the Fedora 14 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update cjkuni-ukai-fonts'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/cjkuni-ukai-fonts-0.2.20080216.1-45.fc14
Comment 10 Fedora Update System 2010-09-01 01:49:41 EDT
cjkuni-ukai-fonts-0.2.20080216.1-45.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.